Package: org.codehaus.groovy.runtime

## [Java] Class IteratorClosureAdapter<T>

- org.codehaus.groovy.runtime.IteratorClosureAdapter

-     public class IteratorClosureAdapter<T>
      extends Closure

  A closure which stores calls in a List so that method calls can be iterated over in a 'yield' style way

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Closure` | `OWNER_FIRST, DELEGATE_FIRST, OWNER_ONLY, DELEGATE_ONLY, TO_SELF, DONE, SKIP, IDENTITY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IteratorClosureAdapter (Object delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<T>` | `asList()`
    `` | `protected Object` | `doCall(T argument)`
    `` | `public MetaClass` | `getMetaClass()`
    `` | `public void` | `setMetaClass(MetaClass metaClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Closure` | `leftShift, leftShift, getDelegate, curry, curry, rightShift, getThisObject, getResolveStrategy, getDirective, isCase, asWritable, rcurry, rcurry, ncurry, ncurry, setResolveStrategy, memoizeAtMost, memoizeAtLeast, setDirective, memoizeBetween, trampoline, trampoline, rehydrate, dehydrate, getMaximumNumberOfParameters, memoize, andThenSelf, andThenSelf, composeSelf, composeSelf, compose, run, getProperty, clone, getParameterTypes, setProperty, getOwner, setDelegate, andThen, call, call, call, setMetaClass, getMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, invokeMethod`

- - ### Constructor Detail

    - #### public IteratorClosureAdapter(Object delegate)

  - ### Method Detail

    - #### public List<T> asList()

    - #### protected Object doCall(T argument)

    - #### public MetaClass getMetaClass()

    - #### public void setMetaClass(MetaClass metaClass)